.login-toggle-clip {
    overflow: hidden;
    padding-bottom: 0;
    position: absolute;
    width: 100%;
}

.login-toggle-container {
    position: relative;
    width: 100%;
}

/* Wrapper enthält form + lid → wird gemeinsam verschoben */
.login-slide-wrapper {
    transform: translateY(0%);
    transition: transform 0.5s ease;
    position: relative;
    z-index: 1;
}

.credential-info-container{
    margin: 1rem 1rem;
    color: white;
}

.credential-info-container > input{
    padding: 0.5rem;
    font-size: 1rem;
    border: 1px solid #ccc;
    border-radius: 0;
    box-sizing: border-box;
    width: 19.4rem;
}

.login-toggle-container.collapsed .login-slide-wrapper {
    transform: translateY(calc(-100% + 24px));
}





/* Inhalt */
.login-slide-content {
    background-color: var(--petrol);
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
    padding: 0.5rem 0;
    position: relative;
}

/* Lasche wandert mit */
.login-lid {
    height: 24px;
    width: fit-content;
    padding: 0px 5px;
    margin: 0 auto;
    background-color: var(--petrol);
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    z-index: 2;
    border-radius: 0 0 6px 6px;
    box-shadow: 0 2px 4px rgba(0,0,0,0.3);
    position: relative;
    transform: translateY(-6px);
}

.login-arrow {
    font-size: 0.9rem;
    user-select: none;
}

/* Flip-Zylinder */
.flip-cylinder-wrapper {
    perspective: 1000px;
    height: 40px;
    overflow: hidden;
    position: relative;
}

.flip-cylinder {
    width: 100%;
    height: 100%;
    position: relative;
    transform-style: preserve-3d;
    transition: transform 0.8s ease;
    transform: rotateX(0deg);
}

.flip-face {
    position: absolute;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    backface-visibility: hidden;
    transform-origin: center center;
}

.face-0 {
    transform: rotateX(0deg) translateZ(30px);
}

.face-1 {
    transform: rotateX(180deg) translateZ(30px);
}

/* Formular */
.login-form {
    display: flex;
    gap: 0.5rem;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
    margin:0px;
}

.login-form.horizontal .login-input {
    width: 150px;
}

.login-input {
    padding: 0.5rem;
    font-size: 1rem;
    border: 1px solid #ccc;
    border-radius: 0;
    box-sizing: border-box;
}





@media (max-width: 768px) {
    .login-form.horizontal .login-input {
        width: 100px;
        
    }
    .login-input{
        font-size: 0.6rem;
    }

}


.register-form > .login-input {
    margin: 0px 10px;
}
.login-slide-content {
    text-align: center;
}
.logout-form, .register-form {
    display: inline-block !important;
    margin: 0px 10px 20px 10px;
}
.register-form > .fancy-button, .logout-form > .fancy-button {
    display: inline-block !important;
    margin: 0px 5px;
}